API reference / channels
List connected channels
GET
/v1/channelsPermission channels:readLists all social channels connected to the active workspace.
Headers
AuthorizationstringREQUIREDBearer followed by your API key.
Foxli-WorkspacestringTarget workspace ID. Required if account owns or admins more than one workspace.
Query parameters
workspace_idstringAlternative way to pass workspace ID.
Errors
400
workspace_requiredInvalid request parameters or missing workspace context.401
invalid_api_keyMissing, invalid, or revoked API key.403
insufficient_scopeInsufficient scope, insufficient plan tier, or unauthorized workspace.curl https://api.foxli.app/v1/channels \ -H "Authorization: Bearer $FOXLI_API_KEY" \ -H "Foxli-Workspace: ws_brand_primary"
Response200 OK
{
"next_cursor": null,
"data": [
{
"id": "ch_x_12345",
"provider": "x",
"handle": "acme_global",
"display_name": "Acme Global",
"status": "active",
"avatar_url": "https://foxli.app/avatars/x_acme.jpg"
}
]
}